/* Generated By:JJTree&JavaCC: Do not edit this line. AddressListParserConstants.java */
/*
 *  Copyright 2004 the mime4j project
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.mime4j.field.address.parser;

public interface AddressListParserConstants {

  int EOF = 0;
  int WS = 10;
  int ALPHA = 11;
  int DIGIT = 12;
  int ATEXT = 13;
  int DOTATOM = 14;
  int DOMAINLITERAL = 18;
  int COMMENT = 20;
  int QUOTEDSTRING = 31;
  int QUOTEDPAIR = 32;
  int ANY = 33;

  int DEFAULT = 0;
  int INDOMAINLITERAL = 1;
  int INCOMMENT = 2;
  int NESTED_COMMENT = 3;
  int INQUOTEDSTRING = 4;

  String[] tokenImage = {
    "<EOF>",
    "\"\\r\"",
    "\"\\n\"",
    "\",\"",
    "\":\"",
    "\";\"",
    "\"<\"",
    "\">\"",
    "\"@\"",
    "\".\"",
    "<WS>",
    "<ALPHA>",
    "<DIGIT>",
    "<ATEXT>",
    "<DOTATOM>",
    "\"[\"",
    "<token of kind 16>",
    "<token of kind 17>",
    "\"]\"",
    "\"(\"",
    "\")\"",
    "<token of kind 21>",
    "\"(\"",
    "<token of kind 23>",
    "<token of kind 24>",
    "\"(\"",
    "\")\"",
    "<token of kind 27>",
    "\"\\\"\"",
    "<token of kind 29>",
    "<token of kind 30>",
    "\"\\\"\"",
    "<QUOTEDPAIR>",
    "<ANY>",
  };

}
